Bug 91340 - ircd-hybrid ssl broken, prefix documentation, halfops option
Summary: ircd-hybrid ssl broken, prefix documentation, halfops option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-01-05 09:50 UTC by Geraint Edwards
Modified: 2006-01-06 05:38 UTC (History)
0 users

See Also:


Attachments
file.diff (829 bytes, patch)
2006-01-05 09:50 UTC, Geraint Edwards
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Geraint Edwards 2006-01-05 09:50:03 UTC
	(i) The Makefile states that PREFIX defaults to /usr/local/ircd - this is not true.
		(minor doc error).
	(ii) If SSL is chosen (WITH_OPENSSL),
		the Makefile passes --enable-openssl=${OPENSSLINC}/openssl to configure,
		but configure tests by appending include/openssl, so SSL option fails (because it cannot find headers).
	(iii) Add option for halfops (WITH_HALFOPS).

Fix: Here's the patch
How-To-Repeat: 	(i) compare "make configure" and "make PREFIX=/usr/local/ircd configure".
		Or use install and compare where the binaries, ircd-hybrid.sh (etc) get put (not the same!).
	(ii) Try to get SSL enabled in configure with:
			make WITH_OPENSSL=1 configure
		Then use my patch (below) and run, for non-port openssl:
			make OPENSSLINC=/usr WITH_OPENSSL=1 configure
		Or, for the openssl port (untested):
			make OPENSSLINC=/usr/local WITH_OPENSSL=1 configure
	(iii) With the patch, use:
		make WITH_HALFOPS=1 configure
Comment 1 Pav Lucistnik freebsd_committer 2006-01-05 23:03:30 UTC
Dear maintainer of FreeBSD port irc/ircd-hybrid, please take a look at

http://www.freebsd.org/cgi/query-pr.cgi?q=91340

Do you approve this patch?

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

Knight: We shall say Ny! again to you if you do not appease us.
Arthur: All right. What do you want?
Knight: We want... a shruberry!
Comment 2 Pav Lucistnik freebsd_committer 2006-01-05 23:03:32 UTC
State Changed
From-To: open->feedback

Asked maintainer for approval 


Comment 3 Pav Lucistnik freebsd_committer 2006-01-05 23:03:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Track
Comment 4 Diane Bruce 2006-01-05 23:46:47 UTC
On Fri, Jan 06, 2006 at 12:03:30AM +0100, Pav Lucistnik wrote:
> Dear maintainer of FreeBSD port irc/ircd-hybrid, please take a look at
>
> http://www.freebsd.org/cgi/query-pr.cgi?q=91340
>
> Do you approve this patch?

yes.

> --
> Pav Lucistnik <pav@oook.cz>
>               <pav@FreeBSD.org>

> Knight: We shall say Ny! again to you if you do not appease us.

We are the packets that say NAK!

--
- db@db.net http://www.db.net/~db
Comment 5 Pav Lucistnik freebsd_committer 2006-01-05 23:57:20 UTC
State Changed
From-To: feedback->closed

Committed, thanks!